package com.tptj.demo.hg.login.out.event.provider;

import com.fanruan.api.log.LogKit;
import com.fr.decision.fun.impl.AbstractLogInOutEventProvider;
import com.fr.decision.webservice.login.LogInOutResultInfo;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-29
 **/
@EnableMetrics
public class Demo extends AbstractLogInOutEventProvider {

    @Override
    @Focus(id = "com.tptj.demo.hg.login.out.event.provider.v10",text = "LogInOutEventProvider")
    public void loginAction( LogInOutResultInfo result ) {
        LogKit.info("{} log in!", result.getUsername() );
    }

    @Override
    public String logoutAction( LogInOutResultInfo result ) {
        LogKit.info("{} log out!", result.getUsername() );
        return "https://www.baidu.com";
    }
}
